/*!
    @header STAppDelegate
    @abstract   Safe Terminal principle class
    @copyright © 2006 Nir Soffer
 */

#import <Cocoa/Cocoa.h>


/*!
    @class STAppDelegate
    @abstract   Application delegate decorator for Terminal.app
    @discussion Install an application delegate decorator that does not
                open any file in Terminal.app.
 */

@interface STAppDelegate : NSObject {
    id delegate;
}
- (BOOL)install;
- (void)setDelegate:(id)anObject;
- (void)applicationDidFinishLounching:(NSNotification *)notification;
- (NSAlert *)alertForFilename:(NSString *)filename;
@end
